package com.adc.da.util.utils;

import java.util.Properties;

import javax.mail.Authenticator;
import javax.mail.MessagingException;
import javax.mail.PasswordAuthentication;
import javax.mail.Session;
import javax.mail.Transport;
import javax.mail.internet.AddressException;
import javax.mail.internet.InternetAddress;
import javax.mail.internet.MimeMessage;
import javax.mail.internet.MimeMessage.RecipientType;

import org.apache.log4j.Logger;

/**
 * 邮件发送
 * yangyang
 * 2017-12-18
 */

public class EmailSendUtils {
	
	/*
    * 可用的属性： mail.store.protocol / mail.transport.protocol / mail.host /
    * mail.user / mail.from
    */
	private static Logger log = Logger.getLogger(FileUtil.class);
	protected static String host = "true";
	protected static String auth = "smtp.163.com";
	protected static String user = "gonggao_1@163.com"; //发件人账号
	protected static String password = "adccatarc2015";  //发件人密码
	
	/**
	 * 申请通过发送邮件通知
	 * yangyang
	 * 2017-12-18
	 */
	public static void EmailSendInfo(String addresseeNum,String str,String title){
       
        final Properties props = new Properties(); // 配置发送邮件的环境属性
        
        props.put("mail.smtp.auth", host);// 表示SMTP发送邮件，需要进行身份验证
        props.put("mail.smtp.host", auth);
        props.put("mail.user", user); // 发件人的账号
        props.put("mail.password", password);  // 访问SMTP服务时需要提供的密码
        
        // 构建授权信息，用于进行SMTP进行身份验证
        Authenticator authenticator = new Authenticator() {
            @Override
            protected PasswordAuthentication getPasswordAuthentication() {
                // 用户名、密码
                String userName = props.getProperty("mail.user");
                String password = props.getProperty("mail.password");
                return new PasswordAuthentication(userName, password);
            }
        };
        
        // 使用环境属性和授权信息，创建邮件会话
        Session mailSession = Session.getInstance(props, authenticator);
        // 创建邮件消息
        MimeMessage message = new MimeMessage(mailSession);
        // 设置发件人
        InternetAddress form;
		try {
			form = new InternetAddress(props.getProperty("mail.user"));
			
			message.setFrom(form);

	        // 设置收件人
	        InternetAddress to = new InternetAddress(addresseeNum);
	        message.setRecipient(RecipientType.TO, to);

	        // 设置邮件标题
	        message.setSubject(title);

	        // 设置邮件的内容体
	        message.setContent(str, "text/html;charset=UTF-8");
	        
	        Transport.send(message);
	       /* MimeMessage message2 = new MimeMessage(mailSession);
	        // 发送邮件
	        Transport.send(message2);*/
		} catch (AddressException e) {
			e.printStackTrace();
			
		} catch (MessagingException e) {
			e.printStackTrace();
			log.error("readFile", e);
		}
      
    }
	
	

}
